Bug 106252 - 'Precision as shown' does not work with engineering notation
Summary: 'Precision as shown' does not work with engineering notation
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium normal
Assignee: Laurent BP
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-01 11:03 UTC by Laurent BP
Modified: 2017-04-10 13:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2017-03-01 11:03:41 UTC
Description:
When 'Precision as shown' option is checked, engineering notation is treated as scientific notation

Steps to Reproduce:
1. Activate 'Precision as shown' option: Tools > Options > LibreOffice Calc > Calculate
2. Enter a formula such as =4e8/7
With General format, result is displayed as 57142857.14
3. Change Number format either in engineering notation (##0.00E+00)

Actual Results:  
Value is respectively displayed as 57.10E+06

Expected Results:
Value should be displayed as 57.14E+06


Reproducible: Always

User Profile Reset: No

Additional Info:
RoundValueAsShown treat engineering notation like scientific notation
http://opengrok.libreoffice.org/xref/core/sc/source/core/data/documen4.cxx#653


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Jacques Guilleron 2017-03-02 08:22:22 UTC
Hi Laurent,

I reproduce with:
LO  5.3.1.1 Build ID: 72fee18f394a980128dc111963f2eefb05998eeb
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; Moteur de mise en page : nouveau; Locale : fr-FR (fr_FR); Calc: CL
and 
LO 5.0.0.5 Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale : fr-FR (fr_FR)

Have a nice day,

Jacques
Comment 2 Commit Notification 2017-03-14 16:33:35 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f2db66ad0de6fbbae309850516e17eaa17934cb

tdf#106252 Engineering notation for Precision as shown

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Jacques Guilleron 2017-03-20 09:21:59 UTC
HI Laurent,

Works as expected with:

LO  5.4.0.0.alpha0+
Build ID: 96a9b38db5fd9c21bffe4274fa7d5083d4bc2ee9
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-03-18_23:07:25
Locale: fr-FR (fr_FR); Calc: CL

Have a nice day,

Jacques
Comment 4 Commit Notification 2017-04-10 13:55:00 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c68b6520e743e8ed9afa908a461f766952e030f&h=libreoffice-5-3

tdf#106252 Engineering notation for Precision as shown

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.